For LVAR Bridge, PMDG, IFLY -Support for P3dv4 latest P3D version must to be installed!
For Flight Sim World Update 12 Support you will need to run the latest SPAD.neXt beta (see this thread)

Currently it is not yet possible to renew your update subscription. This has NO influence on the functionallity of SPAD.neXt and will not lock you out from any updates. Renewal will be possible with next major release.
There has been a problem with the SPAD.neXt emailservices the last 2 weeks, which should be settled now. If you still lack registration/license emails please open a ticket.

Note that there are currently problems delivering emails to hotmail/live/outlook.com email-addresses still. We are working with Microsoft to resolve that issue.

F.A.Q

Frequently asked Questions
Locked
  • Announcements
    Replies
    Views
    Last post
  • Topics
    Replies
    Views
    Last post
Locked

Forum permissions

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum